<!-- Body JS-->

<!-- JQuery Slim 3.1.1 -->
<script src="{{base_url()}}/bootstrap4/js/jquery-3.1.1.slim.min.js"></script>
<!-- Tether -->
<script src="{{base_url()}}/bootstrap4/js/tether.min.js"></script>
<!-- Bootstrap 3.3.6 -->
<script src="{{base_url()}}/bootstrap4/js/bootstrap.min.js"></script>
<!-- Full Calendar 3.5.1 -->
<script src="{{base_url()}}/calendar/js/moment.min.js"></script>
<script src="{{base_url()}}/calendar/js/fullcalendar.min.js"></script>
<script src="{{base_url()}}/calendar/js/pt-br.js"></script>

<script type="text/javascript" charset="utf8" src="//cdn.datatables.net/1.10.16/js/jquery.dataTables.js"></script>

<!-- DateTimePicker -->
<script src="{{base_url()}}/plugins/datepicker/bootstrap-datepicker.js"></script>
<script src="{{base_url()}}/plugins/datepicker/locales/bootstrap-datepicker.pt-BR.js"></script>


<!--ENDBODYJS-->

<!--ESTE DEVE SER O ULTIMO POR LOADAR AS CLASSES ACIMA-->
  <!-- Main Script-->
  <script src="{{base_url()}}/plugins/scripts/main.js"></script>

<script>
$(document).ready(function() {

  $('#calendar').fullCalendar({
    eventClick: function(calEvent, jsEvent, view) {
      window.location.href = "http://localhost/provaKing/public/Agenda/Edit/" + calEvent.id;
    },
    header: {
      left: 'prev,next today',
      center: 'title',
      right: 'agendaWeek'
    },
    eventStartEditable: false,
    defaultView: 'agendaWeek',
    defaultDate: '{{ "now"|date("Y/m/d H:i") }}',
    locale: 'pt-br',
    navLinks: true, // can click day/week names to navigate views
    editable: false,
    eventLimit: true, // allow "more" link when too many events
    events: [
      {% for reserva in reservas %}
      {
        id: '{{ reserva.id }}',
        title: '{{ reserva.usuarioid.nome }}',
        start: '{{ reserva.horarioinicio.date }}',
        end: '{{ reserva.horariofim.date }}',
        {% if  reserva.usuarioid.id != sessao.userId %}
        color: 'red'
        {% endif %}
      },
      {% endfor %}
    ],
  });

});

</script>

<script type="text/javascript">
  $('.datepicker').datepicker();
</script>

<script type="text/javascript">
  $(document).ready( function () {
    $('#table_user').DataTable();
} );
</script>